Shell and Version don't match

Hi! I’m in the last lab section of chapter 1 of course M001. When I try to connect the shell, I get the following error:
connecting to: mongodb://ac-zfjrtsd-shard-00-00.oes6olf.mongodb.net:27017,ac-zfjrtsd-shard-00-02.oes6olf.mongodb.net:27017,ac-zfjrtsd-shard-00-01.oes6olf.mongodb.net:27017/myFirstDatabase?authSource=admin&compressors=disabled&gssapiServiceName=mongodb&replicaSet=atlas-11nl3g-shard-0&ssl=true
Implicit session: session { “id” : UUID(“849db73e-3575-4460-8934-d8e8ba2c0a55”) }
MongoDB server version: 5.0.12
WARNING: shell and server versions do not match

It’s ok as long as you are connected to mongod
You can ignore this warning message
You get this since your mongodb on Atlas cluster and your mongo shell are of different versions

1 Like